aboutsummaryrefslogtreecommitdiff
path: root/lint
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-12-26 18:17:23 +1300
committerTom Ryder <tom@sanctum.geek.nz>2018-12-26 18:24:10 +1300
commitd5f8d934cf6aad67f57a10aac88e34db280c5017 (patch)
treec2775b29b03180c069312ff3a82f436220e0e94b /lint
parentForce 'ttymouse' off a little more carefully (diff)
downloaddotfiles-d5f8d934cf6aad67f57a10aac88e34db280c5017.tar.gz
dotfiles-d5f8d934cf6aad67f57a10aac88e34db280c5017.zip
Remove repeat.vim and surround.vim
Getting in the habit of using , and ; properly. This is the last of the third-party code in my ~/.vim!
Diffstat (limited to 'lint')
-rw-r--r--lint/vim.sh19
1 files changed, 1 insertions, 18 deletions
diff --git a/lint/vim.sh b/lint/vim.sh
index bd8e73af..b3b2e261 100644
--- a/lint/vim.sh
+++ b/lint/vim.sh
@@ -1,19 +1,2 @@
-# Build an argument list of checks to make
-set --
-for vim in vim/* vim/bundle/* ; do
- [ -e "$vim" ] || continue
- case $vim in
-
- # Skip third-party plugins
- vim/bundle) ;;
- vim/bundle/repeat) ;;
- vim/bundle/surround) ;;
-
- # Check everything else
- *) set -- "$@" "$vim" ;;
-
- esac
-done
-
# Run check
-vint -s -- "$@" || exit
+vint -s -- vim || exit